## org.hibernate.ejb.event
Class EJB3FlushEntityEventListener

    java.lang.Object
      org.hibernate.event.def.DefaultFlushEntityEventListener
          org.hibernate.ejb.event.EJB3FlushEntityEventListener

All Implemented Interfaces:
  Serializable, CallbackHandlerConsumer, FlushEntityEventListener

    public class EJB3FlushEntityEventListener

extends DefaultFlushEntityEventListener
implements CallbackHandlerConsumer

Overrides the LifeCycle OnSave call to call the PreUpdate operation

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`EJB3FlushEntityEventListener()`
`EJB3FlushEntityEventListener(EntityCallbackHandler callbackHandler)`

Method Summary
`protected boolean` `invokeInterceptor(SessionImplementor session, Object entity, EntityEntry entry, Object[] values, EntityPersister persister)`
`void` `setCallbackHandler(EntityCallbackHandler callbackHandler)`

Methods inherited from class org.hibernate.event.def.DefaultFlushEntityEventListener
`checkId, dirtyCheck, handleInterception, isUpdateNecessary, onFlushEntity, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3FlushEntityEventListener

    public EJB3FlushEntityEventListener()

### EJB3FlushEntityEventListener

    public EJB3FlushEntityEventListener(EntityCallbackHandler callbackHandler)

Method Detail

### setCallbackHandler

    public void setCallbackHandler(EntityCallbackHandler callbackHandler)

  Specified by:
    `setCallbackHandler` in interface `CallbackHandlerConsumer`

### invokeInterceptor

    protected boolean invokeInterceptor(SessionImplementor session,
                                        Object entity,
                                        EntityEntry entry,
                                        Object[] values,
                                        EntityPersister persister)

  Overrides:
    `invokeInterceptor` in class `DefaultFlushEntityEventListener`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.